=== debian/changelog ===
laszip (3.4.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 19 May 2019 17:14:17 +0200

laszip (3.4.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop buildflags.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Apr 2019 06:56:58 +0200

laszip (3.4.0-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #750731)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Apr 2019 21:35:11 +0200
