=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Priority: optional
 Build-Depends: chrpath,
                cmake (>= 2.8.11),
-               debhelper (>= 9)
-Standards-Version: 4.3.0
+               debhelper (>= 10~)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/laszip
 Vcs-Git: https://salsa.debian.org/debian-gis-team/laszip.git
-Homepage: http://www.laszip.org/
+Homepage: https://laszip.org/
 
 Package: liblaszip8
 Architecture: any
