=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)-?(\d*)$/$1~$2$3/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|v|LASzip)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/LASzip-$1.$2/ \
https://github.com/LASzip/LASzip/releases \
(?:.*?/archive/)?(?:rel|v|LASzip)?[\-\_]?(\d+\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
