=== debian/changelog ===
laszip (3.5.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Fix Vcs-* URLs for science-team repo.

  [ Timo Röhling ]
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Tue, 16 Apr 2024 13:32:44 +0200

laszip (3.5.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update upstream metadata.
  * Update debian/watch file

  [ Timo Röhling ]
  * New upstream version 3.5.0
  * Reintroducing laszip.
    Thanks to Bas Couwenberg for his work and for handing over the package
    to the Science Team.
  * Update packaging
    - Bump Standards-Version to 4.6.2
    - Bump debhelper to level 13
  * Relicensed under Apache-2.0

 -- Timo Röhling <roehling@debian.org>  Wed, 08 Nov 2023 20:34:57 +0100
