=== debian/control ===
Source: laszip
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/laszip
Vcs-Git: https://salsa.debian.org/science-team/laszip.git
Homepage: https://laszip.org/
Description: Lossless LiDAR compression
 LASzip quickly turns bulky LAS files into compact LAZ files without
 information loss.

Package: liblaszip8
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: ${source:Synopsis} - shared library
 ${source:Extended-Description}
 .
 This package contains the shared library.

Package: liblaszip-api8
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 liblaszip8 (= ${binary:Version}),
Pre-Depends:
 ${misc:Pre-Depends},
Description: ${source:Synopsis} - API shared library
 ${source:Extended-Description}
 .
 This package contains the API shared library.

Package: liblaszip-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 ${misc:Depends},
 liblaszip-api8 (= ${binary:Version}),
 liblaszip8 (= ${binary:Version}),
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}
 .
 This package contains development files.
