## laszip 3.5.0+really3.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,25 @@
 cmake_minimum_required(VERSION 3.10)
 
 project(LASZIP CXX C)
+set(CMAKE_CXX_STANDARD 17)
 string(TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
 
 set(ROOT_DIR "${PROJECT_SOURCE_DIR}")
 
+if (MSVC)
+  add_compile_options("/std:c++17")
+else()
+  add_compile_options(-std=c++17)
+endif()
+
+if(CMAKE_GNU_COMPILER_ID OR CMAKE_Clang_COMPILER_ID)
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-format-security -Wno-format-truncation")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-format-security -Wno-format-truncation -std=c++17")
+endif()
+
 # the next line is the ONLY place in the entire laszip system where
 # the version info is hard-coded
-set(LASZIP_API_VERSION_STRING "3.5.0" CACHE STRING "LASzip version" FORCE)
+set(LASZIP_API_VERSION_STRING "3.5.1" CACHE STRING "LASzip version" FORCE)
 
 include (CheckIncludeFileCXX)
 include(${ROOT_DIR}/cmake/common.cmake NO_POLICY_SCOPE)
