=== debian/changelog ===
laszip (3.5.0+really3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0+really3.5.0
    - This brings the Debian version back in line with upstream's
      versioning scheme, which confusingly uses two different
      version numbers for the same release.
  * Refresh patches (no functional changes)
  * Add .symbols files for ABI tracking
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Migrate debian/watch to version 5 format

 -- Timo Röhling <roehling@debian.org>  Mon, 08 Dec 2025 18:11:34 +0100
