=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/laszip
 Vcs-Git: https://salsa.debian.org/science-team/laszip.git
 Homepage: https://laszip.org/
@@ -34,9 +34,9 @@
 Multi-Arch: same
 Section: libs
 Depends:
+ liblaszip8 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
- liblaszip8 (= ${binary:Version}),
 Pre-Depends:
  ${misc:Pre-Depends},
 Description: ${source:Synopsis} - API shared library
@@ -49,9 +49,9 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- ${misc:Depends},
  liblaszip-api8 (= ${binary:Version}),
  liblaszip8 (= ${binary:Version}),
+ ${misc:Depends},
 Description: ${source:Synopsis} - development files
  ${source:Extended-Description}
  .
