=== debian/watch ===
Version: 5

Template: Github
Owner: LASzip
Project: LASzip
Dversion-Mangle: auto
Uversion-Mangle: auto
